import request from '@/utils/request'
/**
 * 统一解析立库解析接口
 * @param ChangeParams
 */
export function ModifyACTEvent(ChangeParams: any) {
  return request({
    url: '/api/CreateActByPo/ModifyActNumber',
    method: 'post',
    data: ChangeParams
  })
}

/**
 * 统一解析立库解析接口
 * @param ChangeParams
 */
export function ModifyPackingEvent(ChangeParams: any) {
  return request({
    url: '/api/CreateActByPo/ModifyPackingEvent',
    method: 'post',
    data: ChangeParams
  })
}

/**
 * 统一解析立库解析接口
 * @param ChangeParams
 */
export function NoChargeStockIn(ChangeParams: any) {
  return request({
    url: '/api/NoCharge/NoChargeStockIn',
    method: 'post',
    data: ChangeParams
  })
}

/**
 * 无单据入库扫描
 * @param ChangeParams
 */
export function getBarCode(ChangeParams: any) {
  return request({
    url: '/api/NoInvoice/getBarCode',
    method: 'post',
    data: ChangeParams
  })
}

/**
 * 无单据入库确定
 * @param ChangeParams
 */
export function QTRCommit(ChangeParams: any) {
  return request({
    url: '/api/NoInvoice/QTRCommit',
    method: 'post',
    data: ChangeParams
  })
}

export function CreateBox(ChangeParams: any) {
    return request({
        url: '/api/MaterialReceiveAct/TrackOutBox',
        method: 'post',
        data: ChangeParams,
    });
}

export function DeleteTrackOutBox(ChangeParams: any) {
    return request({
        url: '/api/MaterialReceiveAct/DeleteTrackOutBox',
        method: 'post',
        data: ChangeParams,
    });
}
export function DeleteTrackOutThisBox(ChangeParams: any) {
    return request({
        url: '/api/MaterialReceiveAct/DeleteTrackOutThisBox',
        method: 'post',
        data: ChangeParams,
    });
}

export function PurInSendERPByCharge(ChangeParams: any) {
    return request({
        url: '/api/MaterialReceiveAct/commitToERP',
        method: 'post',
        data: ChangeParams,
    });


}

export function CommitMove(ChangeParams: any) {
  return request({
      url: '/api/location/CommitMove2',
      method: 'post',
      data: ChangeParams,
  });
}

export function FGStockIn(ChangeParams: any) {
  return request({
      url: '/api/FGStockIn/FGStockIn',
      method: 'post',
      data: ChangeParams,
  });
}

export function addNChargeNOrder(params: any) {
  return request({
      url: '/api/stockIn/addNChargeNOrder',
      method: 'post',
      data: params,
  });
}

export function checkNChargeNOrder(params: any) {
  return request({
      url: '/api/stockIn/checkNChargeNOrder',
      method: 'post',
      data: params,
  });
}

export function changeLocation(params: any) {
  return request({
      url: '/api/NoInvoice/ChangeLocation',
      method: 'post',
      data: params,
  });
}

export function SplitCharge(params: any) {
  return request({
      url: '/api/SplitCharge/SplitCharge',
      method: 'post',
      data: params,
  });
}

export function TransferIn(params: any) {
    return request({
        url: '/api/TransferIn/CommitTransferInInvoice',
        method: 'post',
        data: params,
    });
}